### Class

# RB RemovableMediaManager

#### Description [src]

    class RB.RemovableMediaManager : GObject.Object
    {
      /* No available fields */
    }

The removable media manager maintains the mapping between GIO GVolume and GMount objects and rhythmbox sources.

#### Ancestors

- GObject

#### Constructors

###### rb_removable_media_manager_new

Creates the `RBRemovableMediaManager` instance.

#### Instance methods

###### rb_removable_media_manager_device_is_android

Determines whether the specified device looks like an Android device.

###### rb_removable_media_manager_get_gudev_device

Finds the `GUdevDevice` for the volume.

###### rb_removable_media_manager_scan

Initiates a new scan of all attached media. Newly activated plugins that use the create-source-volume or create-source-mount signals should call this if the ‘scanned’ property is `TRUE`. Otherwise, the first scan will catch any existing volumes or mounts that the plugin is interested in.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### RB.RemovableMediaManager:scanned

This is set to TRUE when the removable media manager has scanned all existing volumes and mounts. When a plugin that handles removable media is activated, it should request a new scan if this property is already set to TRUE.

###### RB.RemovableMediaManager:shell

The `RBShell` instance.

#### Signals

###### RB.RemovableMediaManager::create-source-device

Emitted when a new device is detected to allow plugins to create a corresponding `RBSource`. The first signal handler that returns a source wins. Plugins should only use this signal if there will be no `GVolume` or `GMount` created for the device.

###### RB.RemovableMediaManager::create-source-mount

Emitted when a new mount is added to allow plugins to create a corresponding `RBSource`. The first signal handler that returns a source wins. If a source was created for the `GVolume` for a mount, then this signal will not be emitted.

###### RB.RemovableMediaManager::create-source-volume

Emitted when a new volume is added to allow plugins to create a corresponding `RBSource`. The first signal handler that returns a source wins. A plugin should only use this signal if it doesn’t require the volume to be mounted. If the volume must be mounted to be useful, use the create-source-mount signal instead.

###### RB.RemovableMediaManager::medium-added

Emitted when a new source is added for a removable medium.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBRemovableMediaManagerClass {
      GObjectClass parent_class;
      void (* medium_added) (
        RBRemovableMediaManager* mgr,
        RBSource* source
      );
      RBSource* (* create_source_device) (
        RBRemovableMediaManager* mgr,
        GObject* device
      );
      RBSource* (* create_source_mount) (
        RBRemovableMediaManager* mgr,
        GMount* mount,
        MPIDDevice* device_info
      );
      RBSource* (* create_source_volume) (
        RBRemovableMediaManager* mgr,
        GVolume* volume
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`medium_added: void (* medium_added) ( RBRemovableMediaManager* mgr, RBSource* source )`

  No description available.

`create_source_device: RBSource* (* create_source_device) ( RBRemovableMediaManager* mgr, GObject* device )`

  No description available.

`create_source_mount: RBSource* (* create_source_mount) ( RBRemovableMediaManager* mgr, GMount* mount, MPIDDevice* device_info )`

  No description available.

`create_source_volume: RBSource* (* create_source_volume) ( RBRemovableMediaManager* mgr, GVolume* volume )`

  No description available.

#### Virtual methods

###### RB.RemovableMediaManagerClass.create_source_device

No description available.

###### RB.RemovableMediaManagerClass.create_source_mount

No description available.

###### RB.RemovableMediaManagerClass.create_source_volume

No description available.

###### RB.RemovableMediaManagerClass.medium_added

No description available.